%define gitver %(echo %version | tr _ -)
Name:          libjson-c
Version:       0.13.1_20180305
Release:       1mamba
Summary:       A reference counting object model that allows you to easily construct JSON objects in C
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://oss.metaparadigm.com/json-c/
Source:        https://github.com/json-c/json-c.git/json-c-%{gitver}/json-c-%{version}.tar.bz2
#Source:        http://oss.metaparadigm.com/json-c/json-c-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
JSON-C implements a reference counting object model that allows you to easily construct JSON objects in C, output them as JSON formatted strings and parse JSON formatted strings back into the C representation of JSON objects.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n json-c-%{version}

%build
%configure
%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%pre devel
[ -d %{_includedir}/json ] && rm -rf %{_includedir}/json
:

%files
%defattr(-,root,root)
#%{_libdir}/libjson.so.*
%{_libdir}/libjson-c.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
#%{_includedir}/json
%dir %{_includedir}/json-c
%{_includedir}/json-c/*.h
#%{_libdir}/libjson.a
#%{_libdir}/libjson.la
#%{_libdir}/libjson.so
%{_libdir}/libjson-c.a
%{_libdir}/libjson-c.la
%{_libdir}/libjson-c.so
#%{_libdir}/pkgconfig/json.pc
%{_libdir}/pkgconfig/json-c.pc
%doc ChangeLog NEWS README README.html

%changelog
* Sun Jul 29 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.13.1_20180305-1mamba
- update to 0.13.1_20180305

* Sat Jan 06 2018 Automatic Build System <autodist@mambasoft.it> 0.13-1mamba
- automatic version update by autodist

* Sun Jul 31 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.1_20160607-1mamba
- update to 0.12.1_20160607

* Mon Jun 16 2014 Automatic Build System <autodist@mambasoft.it> 0.12-1mamba
- automatic version update by autodist

* Sat Jan 25 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.11-1mamba
- update to 0.11

* Sat May 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9-1mamba
- package created by autospec
